This package defines an Helm chart for kubernetes based opencloud services deployment.

It can be used to fully deploy opencloud in a development/lighweight kubernetes deployment, for quick testing
or to ease opencloud dependencies (dex, mongo, mongo-express, ...) deployment.

Kind (https://kind.sigs.k8s.io/) is used here as a lightweight kubernetes deployment. Obviously, any kubenetes compliant 
environment is a legitimate target.

HOW TO:

1. Install kind

Follow instructions here https://kind.sigs.k8s.io/

2. Install helm

Download suitable helm client here https://helm.sh/docs/intro/install/

3. Fire up a kind cluster

Execute following script

```
create_kind_cluster.sh
```

It will create a *opencloud* docker container running kubernetes services.

4. Deploy the opencloud chart

```
install_development.sh
```
